## QRTR utilities

QRTR utilities — Utilities in the library.

## Functions

gchar * | qrtr_get_uri_for_node ()
gboolean | qrtr_get_node_for_uri ()

## Description

Common utilities in the libqrtr-glib library.

## Functions

### qrtr_get_uri_for_node ()

    gchar *
    qrtr_get_uri_for_node (guint32 node_id);

Build a URI for the given QRTR node.

#### Parameters

node_id | node id. |

#### Returns

a string with the URI, or `NULL` if none given. The returned value should be freed with `g_free()`.

Since: 1.0

### qrtr_get_node_for_uri ()

    gboolean
    qrtr_get_node_for_uri (const gchar *uri,
                           guint32 *node_id);

Get the QRTR node id from the specified URI.

#### Parameters

uri | a URI. |
node_id | return location for the node id. |

#### Returns

`TRUE` if `node_id` is set, `FALSE` otherwise.

Since: 1.0